<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.ttiglobal.inttilectgpchat"
    android:installLocation="internalOnly">

    <uses-permission android:name="android.permission.INTERNET" />

    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />


    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.VIBRATE" />

    <application
        android:name="com.ttiglobal.inttilectgpchat.util.MainApplication"
        android:hardwareAccelerated="true"
        android:icon="@mipmap/int_logo"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:supportsRtl="true"

        android:theme="@style/AppTheme"
        tools:ignore="GoogleAppIndexingWarning">

        <activity android:name=".blog.BlogHoUser" />

        <activity
            android:name=".training.activities.JitsiActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />

        <activity
            android:name=".training.activities.ScheduleListActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />

        <activity
            android:name=".training.activities.ScheduleActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />

        <activity
            android:name=".training.activities.AddParticipantActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />

        <activity
            android:name=".blog.VideoView"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name=".blog.BlogDetails"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name=".chatti.ChatMain"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustResize" />
        <activity
            android:name=".blog.PostActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name=".blog.BlogActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name=".blog.CommentActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustResize" />

        <activity
            android:name="com.ttiglobal.inttilectgpchat.ProductFeedbackFormActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="landscape"
            android:theme="@style/AppFullScreenTheme"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.ProductExploreDetailsActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="landscape"
            android:theme="@style/AppFullScreenTheme"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.ProductHomeActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="landscape"
            android:theme="@style/AppFullScreenTheme"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.SEHomeActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.HomeActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.screenpinview.AppLockActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.screenpinview.ForgotAppLockActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.OtpActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.screenpinview.ChangeAppLockActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.TermsandConditions"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.RedeemProductDetailsActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.AMHomeActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.SplashScreen"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.ttiglobal.inttilectgpchat.LoginActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.SetNewPasswordActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.ResetPasswordActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.ForgotPasswordActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.MainProfileActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.SignUpActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.NotificationActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.TopicListActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.MyWallet"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.RedeemPointsCategoryActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.RedeemProductListActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.BulletinActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.MyEarnedPoints"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.TargetSalesActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.LearningPathActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.BulletinDetails"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.ContentListActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.PdfViewActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="unspecified"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.WebViewActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="unspecified"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.VideoViewActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="unspecified"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.AssessmentActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.ReviewActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.SurveyActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.ChangePasswordActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.SettingsActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.MyProfileActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.AudioViewActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.NotificationViewActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.IndroScreen"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.CropActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.FaqActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.AboutActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.MainActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="landscape"
            android:theme="@style/AppFullScreenTheme"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.SuzukiEnquiryForm"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="landscape"
            android:theme="@style/AppFullScreenTheme"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />
        <activity
            android:name="com.ttiglobal.inttilectgpchat.ProductExplorerActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:screenOrientation="landscape"
            android:theme="@style/AppFullScreenTheme"
            android:windowSoftInputMode="adjustPan|stateAlwaysHidden" />

        <receiver
            android:name="com.ttiglobal.inttilectgpchat.service.NetworkUpdateReceiver"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action
                    android:name="android.net.conn.CONNECTIVITY_CHANGE"
                    tools:ignore="BatteryLife" />
            </intent-filter>
        </receiver>
        <receiver
            android:name="com.ttiglobal.inttilectgpchat.service.SwitchOnReceiver"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <action android:name="android.intent.action.QUICKBOOT_POWERON" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </receiver>
        <receiver android:name="com.ttiglobal.inttilectgpchat.service.IncomingSMSReceiver">
            <intent-filter>
                <action android:name="android.provider.Telephony.SMS_RECEIVED" />
            </intent-filter>
        </receiver>

        <service
            android:name="com.ttiglobal.inttilectgpchat.pushnotification.FcmMessageService"
            android:enabled="true"
            android:exported="false"
            android:stopWithTask="false">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.provider"
            android:exported="false"
            android:grantUriPermissions="true"
            tools:replace="android:authorities">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/picker_provider_paths" />
        </provider>
    </application>

</manifest>